Bug 241249 - KOffice list styles don't resize/reposition with font size
Summary: KOffice list styles don't resize/reposition with font size
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kword
Classification: Unclassified
Component: flake-texttool (show other bugs)
Version: 2.2
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: Persona: Matt
Assignee: KOffice Bug Wranglers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-09 23:44 UTC by Stuart Jarvis
Modified: 2015-02-06 13:06 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
OpenDocument Presentation illustrating the problem (10.70 KB, application/vnd.oasis.opendocument.presentation)
2010-06-09 23:44 UTC, Stuart Jarvis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stuart Jarvis 2010-06-09 23:44:25 UTC
Created attachment 47836 [details]
OpenDocument Presentation illustrating the problem

Version:           2.2 (using KDE 4.4.3) 
OS:                Linux

When selecting a list style to make bullet points (for example) the list marker neither resizes depending on the font size nor repositions so for large fonts it is above the bulk of the text. This applies in KWord and KPresenter at least, but it is more of an issue in KPresenter where a large font is more commonly used.

Reproducible: Always

Steps to Reproduce:
Type some text
Select a list style from the drop down dialog
Adjust font size
(order of the above is not important)

Actual Results:  
List marker has fixed size and is located at the top of the text line

Expected Results:  
List marker resizes with font or at least repositions to centre vertically in the line
Comment 1 Thomas Zander 2010-09-26 22:38:56 UTC
This is not technically a bug; the style defines the size of the bullet and you likely set the font to be bigger on the text, not on the paragraph size.
The proper solution is likely to guess what the user wants by setting the font size on the block when the user changes all the text in the paragraph.
Comment 2 Stuart Jarvis 2010-09-30 15:26:43 UTC
Ah, I found a feature ;-)

I can see now how it is not technically incorrect, just a little counter-intuitive - from behaviour of other word processing applications . The solution you suggest of synchronising paragraph font with text font would make a lot of sense.

Should I leave this bug open to track progress on that?
Comment 3 Thomas Zander 2010-10-01 10:58:28 UTC
Yes, please leave it open.
I think this is an essential feature that is currently missing and which makes using KWord harder than it needs to be.  So I fully agree its task to keep open on bugzilla so we don't forget it :)

Thanks for reporting it, btw!
Comment 4 Christoph Feck 2015-02-06 13:06:04 UTC
Thank you for your bug report or feature suggestion.

The "KOffice" application suite is no longer maintained, and all tickets are now closed.

We recommend to switch to the "Calligra" application suite, which has replacements for all unmaintained KOffice applications:

- KWord was replaced with Calligra Words
- KPlato was replaced with Calligra Plan

For more information, see http://en.wikipedia.org/wiki/Calligra_Suite

(This is an automatic message from the KDE bug triaging team)